#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=django-waffle
export PYBUILD_BEFORE_TEST=cp -r {dir}/test_settings.py {dir}/test_app {build_dir}
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/test_settings.py {build_dir}/test_app

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-django-waffle-doc/usr/share/doc/python-django-waffle-doc/html
	dh_sphinxdoc
endif

override_dh_auto_test:
	dh_auto_test -- --system=custom --test-args="cd {build_dir}; PYTHONPATH=. DJANGO_SETTINGS_MODULE=test_settings {interpreter} /usr/bin/django-admin test waffle"

override_dh_clean:
	rm -rf docs/.build
	dh_clean
